Skip to main content
`Ctrl`+`K`

# numpy.strings.decode

strings.decode(a, encoding=None, errors=None)

  Calls `bytes.decode` element-wise.

  The set of available codecs comes from the Python standard library, and may be extended at runtime. For more information, see the `codecs` module.

  Parameters:
    a array_like, with `bytes_` dtype
    encoding str, optional

      The name of an encoding

    errors str, optional

      Specifies how to handle encoding errors

  Returns:
    out ndarray

  See also

  `bytes.decode`

  Notes

  The type of the result will depend on the encoding specified.

  Examples

      >>> import numpy as np
      >>> c = np.array([b'\x81\xc1\x81\xc1\x81\xc1', b'@@\x81\xc1@@',
      ...               b'\x81\x82\xc2\xc1\xc2\x82\x81'])
      >>> c
      array([b'\x81\xc1\x81\xc1\x81\xc1', b'@@\x81\xc1@@',
             b'\x81\x82\xc2\xc1\xc2\x82\x81'], dtype='|S7')
      >>> np.strings.decode(c, encoding='cp037')
      array(['aAaAaA', '  aA  ', 'abBABba'], dtype='<U7')